EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_DeleteExecution',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified execution and all of its logs.'
GO


IF OBJECT_ID('[Executions_DeleteExecution]') IS NOT NULL DROP PROCEDURE [Executions_DeleteExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_DeleteExecution]
(
    @Execution_Id INT
)   
AS
BEGIN

	SET NOCOUNT ON

	DELETE [Executions] WHERE [Execution_Id] = @Execution_Id


END
GO

GRANT EXECUTE ON [Executions_DeleteExecution] TO [OtterUser_Role]