EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Jobs_DeleteJob',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified job.',
    /* Remarks_Text            */ NULL
GO


IF OBJECT_ID('[Jobs_DeleteJob]') IS NOT NULL DROP PROCEDURE [Jobs_DeleteJob]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Jobs_DeleteJob]
(
    @Job_Id INT
)   
AS
BEGIN

	SET NOCOUNT ON

	DELETE [Jobs]
     WHERE [Job_Id] = @Job_Id

END
GO

GRANT EXECUTE ON [Jobs_DeleteJob] TO [OtterUser_Role]