IF OBJECT_ID('[ServerRoleDependencies_Extended]') IS NOT NULL DROP VIEW [ServerRoleDependencies_Extended]
GO

CREATE VIEW [ServerRoleDependencies_Extended]
AS

    SELECT
           D.[ServerRole_Id]
          ,R1.[ServerRole_Name]
          ,D.[DependsOn_ServerRole_Id]
          ,[DependsOn_ServerRole_Name] = R2.[ServerRole_Name]
          
    FROM [ServerRoleDependencies] D

     INNER JOIN [ServerRoles] R1
             ON R1.[ServerRole_Id] = D.[ServerRole_Id]
     INNER JOIN [ServerRoles] R2
             ON R2.[ServerRole_Id] = D.[DependsOn_ServerRole_Id]

GO
