EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Rafts_GetRaftVariables',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RaftVariables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variables in a database raft.'
GO


IF OBJECT_ID('[Rafts_GetRaftVariables]') IS NOT NULL DROP PROCEDURE [Rafts_GetRaftVariables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Rafts_GetRaftVariables]
(
    @Raft_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [RaftVariables]
     WHERE [Raft_Id] = @Raft_Id

END
GO

GRANT EXECUTE ON [Rafts_GetRaftVariables] TO [OtterUser_Role]